Package fr.gouv.vitam.common

# Class GlobalDataRest

java.lang.Object
fr.gouv.vitam.common.GlobalDataRest

public class GlobalDataRest extends Object
Global Variables and eventually method used by REST services

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHECK_ACCESS_CONTRACT`
  Force update Header
  `static final int`
  `FIRST_PRIORITY_FILTER`
  FIRST_PRIORITY_FILTER
  `static final String`
  `FORCE_UPDATE`
  Force update Header
  `static final int`
  `SECOND_PRIORITY_FILTER`
  SECOND_PRIORITY_FILTER
  `static final int`
  `STATUS_CHECK_RETRY`
  number of check status retry call
  `static final String`
  `TENANT_LIST`
  Tenant List for Initialisation of Tenant Filter
  `static final long`
  `TIMEOUT_END_WORKER_MILLISECOND`
  Timeout for finish worker task in millisecond
  `static final String`
  `TRANSFER_ENCODING_HEADER`
  Transfer Encoding Header
  `static final String`
  `VITAM_CONTENT_LENGTH`
  Header use to have size before swift upload
  `static final String`
  `X_ACCESS_CONTRAT_ID`
  Header use to contain the id of the access contract
  `static final String`
  `X_ACTION`
  Header Parameter X_ACTION Is required only if X_ACTION_INIT in (START, NEXT, RESUME, REPLAY, PAUSE) but not INT
  `static final String`
  `X_ACTION_INIT`
  Header Parameter X_ACTION_INIT
  `static final String`
  `X_ADMIN_CROSS_TENANT_ACCESS_REQUEST_ALLOWED`
  Allow cross tenant access request check from Admin Tenant
  `static final String`
  `X_APPLICATION_ID`
  Header Parameter X_APPLICATION_ID
  `static final String`
  `X_ATTACHEMENT_ID`
  `static final String`
  `X_CHUNK_LENGTH`
  Header use to have the body (object) CHUNK size
  `static final String`
  `X_CHUNK_MAX_SIZE`
  Max size to retrieve
  `static final String`
  `X_CHUNK_OFFSET`
  Offset of file to retrieve
  `static final String`
  `X_CONTENT_DESTINATION`
  The X-CONTENT-DESTINATIONnofferId destination for copy
  `static final String`
  `X_CONTENT_LENGTH`
  Header use to have the body (object) size even if Content-Type is chunked
  `static final String`
  `X_CONTENT_SOURCE`
  The X-CONTENT-SOURCE offerId source for copy
  `static final String`
  `X_CONTEXT_ID`
  X_CONTEXT_ID : used in case of POST and PUT methods to transmit workFlow execution context(stepByStep or not)
  `static final String`
  `X_CSRF_TOKEN`
  The X_CSRF_TOKEN header
  `static final String`
  `X_CURSOR`
  Ask to request using a http based cursor
  `static final String`
  `X_CURSOR_ID`
  Identifier for a Http based cursor
  `static final String`
  `X_CURSOR_TIMEOUT`
  Timeout (in epoch) for Http based cursor
  `static final String`
  `X_DATA_CATEGORY`
  The X_DATA_CATEGORY header, used in requests to give data category
  `static final String`
  `X_DIGEST`
  Digest value
  `static final String`
  `X_DIGEST_ALGORITHM`
  Digest algorithm
  `static final String`
  `X_ENCODING`
  Optional.
  `static final String`
  `X_EVENT_STATUS`
  Event status
  `static final String`
  `X_FILENAME`
  Filename Header
  `static final String`
  `X_FORCE`
  Force operation
  `static final String`
  `X_GLOBAL_EXECUTION_STATE`
  Global execution state
  `static final String`
  `X_GLOBAL_EXECUTION_STATUS`
  Global execution status
  `static final String`
  `X_HTTP_METHOD_OVERRIDE`
  X_HTTP_METHOD_OVERRIDE : used in case of POST methods overriding GET methods
  `static final String`
  `X_MANIFEST_DIGEST_ALGORITHM`
  Optional.
  `static final String`
  `X_MANIFEST_DIGEST_VALUE`
  Optional.
  `static final String`
  `X_OBJECTS_COUNT`
  Objects Count Header
  `static final String`
  `X_OFFER`
  The X_OFFER header, used in requests to get data from a specific offer
  `static final String`
  `X_OFFER_IDS`
  The X_OFFER_IDS header, used in requests to give list of offer ids
  `static final String`
  `X_OFFER_NO_CACHE`
  The X_OFFER_NO_CACHE header, used in requests to set cache policy when computing object digest
  `static final String`
  `X_PERSONAL_CERTIFICATE`
  Header Parameter X_PERSONAL_CERTIFICATE
  `static final String`
  `X_PLATFORM_ID`
  The X_PLATFORM_ID header
  `static final String`
  `X_QUALIFIER`
  X-Qualifier header used on REST request to identify the concerned qualifier
  `static final String`
  `X_RECURSIVE`
  Recursive deletion
  `static final String`
  `X_REQUEST_ID`
  Header Parameter X_REQUEST_ID
  `static final String`
  `X_SECURITY_CONTEXT_ID`
  Header Parameter X_SECURITY_CONTEXT_ID
  `static final String`
  `X_SSL_CLIENT_CERT`
  Header to passe certificate pem
  `static final String`
  `X_STRATEGY_ID`
  The X_STRATEGY_ID header, used in requests to use a particular strategy
  `static final String`
  `X_TENANT_ID`
  X-Tenant-Id header used on REST request to identify the concerned tenant
  `static final String`
  `X_TIMESTAMP`
  The X_TIMESTAMP header
  `static final String`
  `X_TYPE_PROCESS`
  Logbook type process
  `static final String`
  `X_UNITS_COUNT`
  Units Count Header
  `static final String`
  `X_VERSION`
  X-Version header used on REST request to identify the concerned version

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### X_HTTP_METHOD_OVERRIDE

    public static final String X_HTTP_METHOD_OVERRIDE
    X_HTTP_METHOD_OVERRIDE : used in case of POST methods overriding GET methods
    See Also:
      - Constant Field Values

  - ### X_SECURITY_CONTEXT_ID

    public static final String X_SECURITY_CONTEXT_ID
    Header Parameter X_SECURITY_CONTEXT_ID
    See Also:
      - Constant Field Values

  - ### X_APPLICATION_ID

    public static final String X_APPLICATION_ID
    Header Parameter X_APPLICATION_ID
    See Also:
      - Constant Field Values

  - ### X_PERSONAL_CERTIFICATE

    public static final String X_PERSONAL_CERTIFICATE
    Header Parameter X_PERSONAL_CERTIFICATE
    See Also:
      - Constant Field Values

  - ### X_ACTION

    public static final String X_ACTION
    Header Parameter X_ACTION Is required only if X_ACTION_INIT in (START, NEXT, RESUME, REPLAY, PAUSE) but not INT
    See Also:
      - Constant Field Values

  - ### X_ACTION_INIT

    public static final String X_ACTION_INIT
    Header Parameter X_ACTION_INIT
    See Also:
      - Constant Field Values

  - ### X_TYPE_PROCESS

    public static final String X_TYPE_PROCESS
    Logbook type process
    See Also:
      - Constant Field Values

  - ### X_REQUEST_ID

    public static final String X_REQUEST_ID
    Header Parameter X_REQUEST_ID
    See Also:
      - Constant Field Values

  - ### X_TENANT_ID

    public static final String X_TENANT_ID
    X-Tenant-Id header used on REST request to identify the concerned tenant
    See Also:
      - Constant Field Values

  - ### X_QUALIFIER

    public static final String X_QUALIFIER
    X-Qualifier header used on REST request to identify the concerned qualifier
    See Also:
      - Constant Field Values

  - ### X_VERSION

    public static final String X_VERSION
    X-Version header used on REST request to identify the concerned version
    See Also:
      - Constant Field Values

  - ### X_STRATEGY_ID

    public static final String X_STRATEGY_ID
    The X_STRATEGY_ID header, used in requests to use a particular strategy
    See Also:
      - Constant Field Values

  - ### X_OFFER_IDS

    public static final String X_OFFER_IDS
    The X_OFFER_IDS header, used in requests to give list of offer ids
    See Also:
      - Constant Field Values

  - ### X_OFFER

    public static final String X_OFFER
    The X_OFFER header, used in requests to get data from a specific offer
    See Also:
      - Constant Field Values

  - ### X_OFFER_NO_CACHE

    public static final String X_OFFER_NO_CACHE
    The X_OFFER_NO_CACHE header, used in requests to set cache policy when computing object digest
    See Also:
      - Constant Field Values

  - ### X_CONTENT_DESTINATION

    public static final String X_CONTENT_DESTINATION
    The X-CONTENT-DESTINATIONnofferId destination for copy
    See Also:
      - Constant Field Values

  - ### X_CONTENT_SOURCE

    public static final String X_CONTENT_SOURCE
    The X-CONTENT-SOURCE offerId source for copy
    See Also:
      - Constant Field Values

  - ### X_ADMIN_CROSS_TENANT_ACCESS_REQUEST_ALLOWED

    public static final String X_ADMIN_CROSS_TENANT_ACCESS_REQUEST_ALLOWED
    Allow cross tenant access request check from Admin Tenant
    See Also:
      - Constant Field Values

  - ### X_PLATFORM_ID

    public static final String X_PLATFORM_ID
    The X_PLATFORM_ID header
    See Also:
      - Constant Field Values

  - ### X_TIMESTAMP

    public static final String X_TIMESTAMP
    The X_TIMESTAMP header
    See Also:
      - Constant Field Values

  - ### X_CSRF_TOKEN

    public static final String X_CSRF_TOKEN
    The X_CSRF_TOKEN header
    See Also:
      - Constant Field Values

  - ### X_CURSOR

    public static final String X_CURSOR
    Ask to request using a http based cursor
    See Also:
      - Constant Field Values

  - ### X_CURSOR_ID

    public static final String X_CURSOR_ID
    Identifier for a Http based cursor
    See Also:
      - Constant Field Values

  - ### X_CURSOR_TIMEOUT

    public static final String X_CURSOR_TIMEOUT
    Timeout (in epoch) for Http based cursor
    See Also:
      - Constant Field Values

  - ### X_DIGEST

    public static final String X_DIGEST
    Digest value
    See Also:
      - Constant Field Values

  - ### X_DIGEST_ALGORITHM

    public static final String X_DIGEST_ALGORITHM
    Digest algorithm
    See Also:
      - Constant Field Values

  - ### X_RECURSIVE

    public static final String X_RECURSIVE
    Recursive deletion
    See Also:
      - Constant Field Values

  - ### X_CHUNK_LENGTH

    public static final String X_CHUNK_LENGTH
    Header use to have the body (object) CHUNK size
    See Also:
      - Constant Field Values

  - ### X_CONTENT_LENGTH

    public static final String X_CONTENT_LENGTH
    Header use to have the body (object) size even if Content-Type is chunked
    See Also:
      - Constant Field Values

  - ### VITAM_CONTENT_LENGTH

    public static final String VITAM_CONTENT_LENGTH
    Header use to have size before swift upload
    See Also:
      - Constant Field Values

  - ### X_SSL_CLIENT_CERT

    public static final String X_SSL_CLIENT_CERT
    Header to passe certificate pem
    See Also:
      - Constant Field Values

  - ### X_CONTEXT_ID

    public static final String X_CONTEXT_ID
    X_CONTEXT_ID : used in case of POST and PUT methods to transmit workFlow execution context(stepByStep or not)
    See Also:
      - Constant Field Values

  - ### X_ACCESS_CONTRAT_ID

    public static final String X_ACCESS_CONTRAT_ID
    Header use to contain the id of the access contract
    See Also:
      - Constant Field Values

  - ### X_FILENAME

    public static final String X_FILENAME
    Filename Header
    See Also:
      - Constant Field Values

  - ### TRANSFER_ENCODING_HEADER

    public static final String TRANSFER_ENCODING_HEADER
    Transfer Encoding Header
    See Also:
      - Constant Field Values

  - ### X_UNITS_COUNT

    public static final String X_UNITS_COUNT
    Units Count Header
    See Also:
      - Constant Field Values

  - ### X_OBJECTS_COUNT

    public static final String X_OBJECTS_COUNT
    Objects Count Header
    See Also:
      - Constant Field Values

  - ### FIRST_PRIORITY_FILTER

    public static final int FIRST_PRIORITY_FILTER
    FIRST_PRIORITY_FILTER
    See Also:
      - Constant Field Values

  - ### SECOND_PRIORITY_FILTER

    public static final int SECOND_PRIORITY_FILTER
    SECOND_PRIORITY_FILTER
    See Also:
      - Constant Field Values

  - ### X_EVENT_STATUS

    public static final String X_EVENT_STATUS
    Event status
    See Also:
      - Constant Field Values

  - ### TENANT_LIST

    public static final String TENANT_LIST
    Tenant List for Initialisation of Tenant Filter
    See Also:
      - Constant Field Values

  - ### TIMEOUT_END_WORKER_MILLISECOND

    public static final long TIMEOUT_END_WORKER_MILLISECOND
    Timeout for finish worker task in millisecond
    See Also:
      - Constant Field Values

  - ### STATUS_CHECK_RETRY

    public static final int STATUS_CHECK_RETRY
    number of check status retry call
    See Also:
      - Constant Field Values

  - ### X_GLOBAL_EXECUTION_STATE

    public static final String X_GLOBAL_EXECUTION_STATE
    Global execution state
    See Also:
      - Constant Field Values

  - ### X_GLOBAL_EXECUTION_STATUS

    public static final String X_GLOBAL_EXECUTION_STATUS
    Global execution status
    See Also:
      - Constant Field Values

  - ### FORCE_UPDATE

    public static final String FORCE_UPDATE
    Force update Header
    See Also:
      - Constant Field Values

  - ### X_FORCE

    public static final String X_FORCE
    Force operation
    See Also:
      - Constant Field Values

  - ### CHECK_ACCESS_CONTRACT

    public static final String CHECK_ACCESS_CONTRACT
    Force update Header
    See Also:
      - Constant Field Values

  - ### X_DATA_CATEGORY

    public static final String X_DATA_CATEGORY
    The X_DATA_CATEGORY header, used in requests to give data category
    See Also:
      - Constant Field Values

  - ### X_CHUNK_OFFSET

    public static final String X_CHUNK_OFFSET
    Offset of file to retrieve
    See Also:
      - Constant Field Values

  - ### X_CHUNK_MAX_SIZE

    public static final String X_CHUNK_MAX_SIZE
    Max size to retrieve
    See Also:
      - Constant Field Values

  - ### X_MANIFEST_DIGEST_VALUE

    public static final String X_MANIFEST_DIGEST_VALUE
    Optional. Expected digest value of the manifest file within the SIP archive. If provided, manifest digest algorithm must be specified also.
    See Also:
      - Constant Field Values

  - ### X_MANIFEST_DIGEST_ALGORITHM

    public static final String X_MANIFEST_DIGEST_ALGORITHM
    Optional. Expected digest algorithm of the manifest file within the SIP archive. If provided, manifest digest value must be specified also.
    See Also:
      - Constant Field Values

  - ### X_ENCODING

    public static final String X_ENCODING
    Optional. ZIP encoding. Use Content-Encoding ?
    See Also:
      - Constant Field Values

  - ### X_ATTACHEMENT_ID

    public static final String X_ATTACHEMENT_ID
    See Also:
      - Constant Field Values